import { asWritingTask } from '../../../../base-application/support/index.js';
import { clientRootTemplatesBlock } from '../../../../client/support/files.js';
export const writeEslintClientRootConfigFile = asWritingTask(async function writingEslintFile({ application }) {
    await this.writeFiles({
        blocks: [
            clientRootTemplatesBlock({
                templates: [{ sourceFile: 'eslint.config.js.jhi', destinationFile: ctx => `${ctx.eslintConfigFile}.jhi` }],
            }),
        ],
        context: application,
        rootTemplatesPath: this.fetchFromInstalledJHipster('javascript/generators/eslint/templates'),
    });
});
